﻿@model @EnergyMission.Domain.Entities.CustomSavingTeamTargetEntity
@{
    ViewBag.Title = "Index";
}
<link href="~/Content/super-admin.css" rel="stylesheet" />
<link href="~/Content/CustomScreen3.css" rel="stylesheet" />
@section Scripts{

    <script type="text/javascript">


    $(document).ready(function () {

        var value = "@ViewBag.msg";

        if (value == "") {

            $("#errorssms").hide();

        }
        else {
            $("#errorssms").show();

        }
    });


    function isNumber(evt) {
        evt = (evt) ? evt : window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57) && charCode != 46) {
            return false;
        }
        return true;
    }
    </script>
    <script type="text/javascript">
    $(function () {

        $('#testDivNested').slimscroll({
            height: '490px'
        }).parent().css({
            'float': 'left'
        });

    });
    </script>


}






@using (Html.BeginForm("CreatSetPricce", "CustomSavingTeamTarget", FormMethod.Post))
{

    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    <div class="second-menu">
        <h3>Custom Saving Target</h3>
    
    </div>

    <div class="examples">
        <div id="testDivNested">
            <div class="gray_bg">
                <div class="ensure" id="errorssms"><i class="fa fa-exclamation-circle"></i> @ViewBag.msg</div>
                <!-- Start White Inner -->
                <div class="white_inner white_inner-resource-price">
                    <div id="testDiv1">
                        <div class="row-resource-price row-elecricity">
                            <div class="left">
                                <label class="name">Electricity Savings Target vs Benchmark </label><br />
                                @*@Html.TextBoxFor(model => model.RTElec, new { @onkeypress = "return isNumber(event)", placeholder = "$0.00" })*@
                               

                                @Html.DropDownListFor(model => model.RTElec, new List<SelectListItem>
                                {
                                new SelectListItem{ Text="-10% (Default)", Value = "1" },
                                new SelectListItem{ Text="-20%", Value = "2" }
                                })
                                @Html.ValidationMessageFor(model => model.RTElec)
                                
                                <div class="clearfix"></div>
                            </div>
                        </div>
                        <div class="row-resource-price row-gas">
                            <div class="left">
                                <label class="name">Gas Savings Target vs Benchmark </label><br />
                                @*@Html.TextBoxFor(model => model.RTGas, new { @class = "red", @onkeypress = "return isNumber(event)", placeholder = "0.00kg" })*@
                                @Html.DropDownListFor(model => model.RTGas, new List<SelectListItem>
                                {
                                new SelectListItem{ Text="-10% (Default)", Value = "1" },
                                new SelectListItem{ Text="-20%", Value = "2" }
                                })
                                @Html.ValidationMessageFor(model => model.RTGas)

                                <div class="clearfix"></div>
                            </div>
                        </div>
                        <div class="row-resource-price row-gas">
                            <div class="left">
                                <label class="name">Water Savings Target vs Benchmark </label><br />
                                @*@Html.TextBoxFor(model => model.RTWater, new { @onkeypress = "return isNumber(event)", placeholder = "$0.00" })*@
                                @Html.DropDownListFor(model => model.RTWater, new List<SelectListItem>
                                {
                                new SelectListItem{ Text="-10% (Default)", Value = "1" },
                                new SelectListItem{ Text="-20%", Value = "2" }
                                })
                                @Html.ValidationMessageFor(model => model.RTWater)
                                <div class="clearfix"></div>
                            </div>
                        </div>
                    </div>
                <!-- End White Inner -->
                </div>
                <!-- Start Bottom Details -->
                <div class="SetResourcePrice">
                    <div class="bottom delete">
                        <div class="fullWidth">
                            <input class="save button" name="button" type="submit" value="Save Changes" />
                            <input class="done button restore" name="button" type="submit" value="Restore Current Values" />
                            <input class="done button" name="button" type="button" value="Use Default Values" />
                            <input class="done button" name="button" type="submit" value="Done" />
                        </div>
                    </div>
                </div>
                <!-- End Bottom Details -->
        </div>
    </div>
        </div>

}
